Std ViewRotateRight/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/ru |Std ViewRotateLeft |Std FreezeViews |Std View Menu |IconL=Std_ViewRotateLeft.svg |IconR= |Ic...")
(Created page with "==Программирование==")
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Std_ViewRotateLeft/ru|Std ViewRotateLeft]]
|[[Std_ViewRotateLeft/ru|Команда "Повернуть влево"]]
|[[Std_FreezeViews/ru|Std FreezeViews]]
|[[Std_FreezeViews/ru|Меню "Положения камеры"]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_ViewRotateLeft.svg
|IconL=Std_ViewRotateLeft.svg
|IconR=
|IconR=
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


{{GuiCommand/ru
{{GuiCommand/ru
Line 19: Line 21:
}}
}}


<span id="Description"></span>
==Описание==
==Описание==


The '''Std ViewRotateRight''' command rotates the camera in the active [[3D_view|3D view]] around the view direction in 90-degree increments towards the right (clockwise).
The '''Std ViewRotateRight''' command rotates the camera in the active [[3D_view|3D view]] around the view direction in 90-degree increments towards the right (clockwise).


<span id="Usage"></span>
==Использование==
==Применение==


# There are several ways to invoke the command:
# There are several ways to invoke the command:
Line 30: Line 34:
#* Use the keyboard shortcut: {{KEY|Shift}}+{{KEY|Right}}.
#* Use the keyboard shortcut: {{KEY|Shift}}+{{KEY|Right}}.


==Scripting==
<span id="Scripting"></span>
==Программирование==


{{Emphasis|Смотри так же:}} [[FreeCAD_Scripting_Basics/ru|Основы скриптов в FreeCAD]].
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].


To rotate the view to the right use the {{incode|viewRotateRight}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To rotate the view to the right use the {{incode|viewRotateRight}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
Line 43: Line 48:
}}
}}



<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Std_ViewRotateLeft/ru|Std ViewRotateLeft]]
|[[Std_ViewRotateLeft/ru|Команда "Повернуть влево"]]
|[[Std_FreezeViews/ru|Std FreezeViews]]
|[[Std_FreezeViews/ru|Меню "Положения камеры"]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_ViewRotateLeft.svg
|IconL=Std_ViewRotateLeft.svg
|IconR=
|IconR=
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 15:52, 5 March 2023

Other languages:

Std ViewRotateRight

Системное название
Std ViewRotateRight
Расположение в меню
Вид → Стандартные виды → Повернуть вправо
Верстаки
All
Быстрые клавиши
Shift+Right
Представлено в версии
-
См. также
Std ViewRotateLeft

Описание

The Std ViewRotateRight command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the right (clockwise).

Применение

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Rotate Right option from the menu.
    • Select the Standard views → Rotate Right option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Right.

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

To rotate the view to the right use the viewRotateRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()